Skip to main content
PUT
/
api2
/
v1
/
buyers
/
{buyerUid}
Edit buyer
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/buyers/{buyerUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "defaultProjectOwner": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "uid": "<string>",
  "vendorOrganization": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

buyerUid
string
required

Unique identifier of the buyer

Body

application/json

Buyer edit request

defaultProjectOwner
object

Response

OK

defaultProjectOwner
object
uid
string

Unique identifier used in API paths

vendorOrganization
object